<p-breadcrumb [home]="{ routerLink:'../../', label: ' Bitácora', icon: 'pi pi-home' }"
  [model]="[{ routerLink: './',label: info | nameciCommit ,styleClass: info.type | classCommit}]">
</p-breadcrumb>
<div class="row bg-white mx-0 w-100 mt-4 pb-3">
  <div class="col">
    <p-fieldset  [legend]="info.type == 'Update' ? 'Estado actual':'Estado inicial'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>¿Es acumulada?:</strong> {{info.state?.vt_asuntos?.acumulados.length > 0 ? 'Sí' : 'No'}}
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>CA:</strong> {{info.state?.asunto?.ca ? 'Sí' : 'No'}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Asunto abordado:</strong>
          {{info.state?.asunto?.asuntoAbordado}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de expediente:</strong> {{info.state?.asunto?.numeroExpediente}}
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2" *ngIf="info.state?.vt_asuntos?.acumulados.length > 0">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Acumulados:</strong> {{info.state?.vt_asuntos?.acumulados.join(', ')}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ponente:</strong> {{info.state?.vt_asuntos?.ponente}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Temas procesales:</strong>
          {{info.state?.vt_asuntos?.temasProcesales.join(', ')}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Temas de fondo:</strong>
          {{info.state?.vt_asuntos?.temasFondo.join(', ')}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de participaciones de cada Ministra o Ministro por asunto visto en la
            sesión:</strong>
        </span>
      </div>
      <div class="d-flex flex-column ml-4">
        <p *ngFor="let ministros of info.state?.vt_asuntos?.numeroMinistrosParticiparonEnAsunto">
          {{ministros.nombre}} - {{ministros.cantidad}}
        </p>
      </div>
    </p-fieldset>
  </div>
  <div class="col" *ngIf="info.beginState">
    <p-fieldset [legend]="info.type == 'Update' ? 'Estado inical':'Estado actual'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>¿Es acumulada?:</strong> {{info.beginState?.vt_asuntos?.acumulados.length > 0 ? 'Sí' : 'No'}}
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>CA:</strong> {{info.beginState?.asunto?.ca ? 'Sí' : 'No'}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Asunto abordado:</strong>
          {{info.beginState?.asunto?.asuntoAbordado}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de expediente:</strong> {{info.beginState?.asunto?.numeroExpediente}}
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2" *ngIf="info.beginState?.vt_asuntos?.acumulados.length > 0">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Acumulados:</strong> {{info.beginState?.vt_asuntos?.acumulados.join(', ')}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ponente:</strong> {{info.beginState?.vt_asuntos?.ponente}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Temas procesales:</strong>
          {{info.beginState?.vt_asuntos?.temasProcesales.join(', ')}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Temas de fondo:</strong>
          {{info.beginState?.vt_asuntos?.temasFondo.join(', ')}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de participaciones de cada Ministra o Ministro por asunto visto en la
            sesión:</strong>
        </span>
      </div>
      <div class="d-flex flex-column ml-4">
        <p *ngFor="let ministros of info.beginState?.vt_asuntos?.numeroMinistrosParticiparonEnAsunto">
          {{ministros.nombre}} - {{ministros.cantidad}}
        </p>
      </div>
    </p-fieldset>
  </div>
</div>
